获取 customSecurityAttributeDefinition

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

读取 customSecurityAttributeDefinition 对象的属性和关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) CustomSecAttributeDefinition.Read.All、CustomSecAttributeDefinition.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 CustomSecAttributeDefinition.Read.All、CustomSecAttributeDefinition.ReadWrite.All

还必须为登录用户分配以下目录角色之

  • 属性分配读取器
  • 属性定义读取器
  • 属性分配管理员
  • 属性定义管理员

默认情况下,全局管理员和其他管理员角色没有读取、定义或分配自定义安全属性的权限。

HTTP 请求

GET /directory/customSecurityAttributeDefinitions/{customSecurityAttributeDefinitionId}

可选的查询参数

此方法支持 OData $select 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应 代码和 customSecurityAttributeDefinition 对象。

示例

示例:获取自定义安全属性

以下示例获取单个自定义安全属性定义。

  • 属性集:Engineering
  • 属性:ProjectDate

请求

GET https://graph.microsoft.com/beta/directory/customSecurityAttributeDefinitions/Engineering_ProjectDate

响应

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#directory/customSecurityAttributeDefinitions/$entity",
    "attributeSet": "Engineering",
    "description": "Target completion date",
    "id": "Engineering_ProjectDate",
    "isCollection": false,
    "isSearchable": true,
    "name": "ProjectDate",
    "status": "Available",
    "type": "String",
    "usePreDefinedValuesOnly": false
}